Sites
List collection items
Drafts included. `search` matches name or slug.
Drafts included. search matches name or slug.
x-api-key<token>
In: header
Path Parameters
siteId*string
collectionId*string
Query Parameters
limit?integer
Range
value <= 100Default
50offset?integer
Range
0 <= valueDefault
0search?string
status?string
Value in
- "DRAFT"
- "PUBLISHED"
- "ARCHIVED"
Response Body
application/json
curl -X GET "https://example.com/sites/string/collections/string/items"{ "data": [ { "id": "string", "collectionId": "string", "slug": "string", "status": "DRAFT", "name": "string", "data": { "name": "string" }, "seo": { "title": "string", "description": "string", "ogImage": "string", "noindex": true, "schemaType": "WebPage", "publishedAt": "string" }, "publishedSlug": "string", "publishedAt": "2019-08-24T14:15:22Z", "hasUnpublishedChanges": true, "sortOrder": 0, "contentVersion": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "meta": { "total": 0, "limit": 0, "offset": 0 }}
Planeward Docs